Bug 250472 - devel/git: Update to 2.29.2
Summary: devel/git: Update to 2.29.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-19 19:14 UTC by Yasuhiro KIMURA
Modified: 2020-11-05 17:05 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (garga)


Attachments
Patch file (4.91 KB, patch)
2020-10-19 19:14 UTC, Yasuhiro KIMURA
no flags Details | Diff
Updated patch file (4.91 KB, patch)
2020-10-24 04:21 UTC, Yasuhiro KIMURA
no flags Details | Diff
Updated patch file (4.91 KB, patch)
2020-10-30 04:17 UTC, Yasuhiro KIMURA
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2020-10-19 19:14:19 UTC
Created attachment 218902 [details]
Patch file

Update to 2.29.0.

Release Note: https://raw.githubusercontent.com/git/git/master/Documentation/RelNotes/2.29.0.txt
Comment 1 Yasuhiro KIMURA 2020-10-24 04:21:08 UTC
Created attachment 219024 [details]
Updated patch file

New version 2.29.1 is released.

Release Note: https://raw.githubusercontent.com/git/git/master/Documentation/RelNotes/2.29.1.txt
Comment 2 Yasuhiro KIMURA 2020-10-30 04:17:08 UTC
Created attachment 219214 [details]
Updated patch file

New version 2.29.2 is released.

Release Note:
https://raw.githubusercontent.com/git/git/master/Documentation/RelNotes/2.29.2.txt
Comment 3 commit-hook freebsd_committer 2020-11-05 17:05:01 UTC
A commit references this bug:

Author: garga
Date: Thu Nov  5 17:04:20 UTC 2020
New revision: 554143
URL: https://svnweb.freebsd.org/changeset/ports/554143

Log:
  devel/git: Update to 2.29.2 and small tweaks

  - Update to 2.29.2 [1]
  - Simplify logic to define COMMENT for each flavor
  - Inspired in www/py-autobahn, save OPTIONS on a different file for each flavor

  PR:		250472 [1]
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org> [1]
  Sponsored by:	Rubicon Communications, LLC (Netgate)

Changes:
  head/devel/git/Makefile
  head/devel/git/distinfo
  head/devel/git/pkg-plist